org.apache.maven.scm

## Class ScmRevision

- java.lang.Object
- - org.apache.maven.scm.AbstractScmVersion
  - - org.apache.maven.scm.ScmRevision

All Implemented Interfaces:
  Serializable, ScmVersion

    public class ScmRevision
    extends AbstractScmVersion

Version:
  $Id: ScmRevision.java 774900 2009-05-14 19:53:16Z olamy $
Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScmRevision(String name)`

### Method Summary

Methods
`String` `getType()`

### Methods inherited from class org.apache.maven.scm.AbstractScmVersion

`getName, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmRevision

    public ScmRevision(String name)

### Method Detail

#### getType

    public String getType()

Returns:
  the Version type like branch